Skip to content

Public bandwidth

All operations require authentication.

2 operationsv1/vrack/publicRoutingRegion · /vrack/{serviceName}
Agent setup

List regionsProduction

GET
/1.0/vrack/publicRoutingRegion

List regions. Returns the regions where an Additional IP block can be announced from a vRack, with the number of availability zones and the default public bandwidth of each.

Query parameters

region
string

Filter by region name

Response

200PublicRoutingRegion[]successful operation
defaultBandwidthLimit
integer

Default bandwidth limit for blocks in your vRack (in Mbps)

publicRoutingType
PublicRoutingType

Type of public routing in the region. It indicates how many availability zones (one or three) can be configured to route blocks in this region. PublicRoutingPriority can be defined only on type PUBLIC-ROUTING-3-AZ.

ValuesPUBLIC-ROUTING-1-AZPUBLIC-ROUTING-3-AZ
region
string

Region name

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/vrack/publicRoutingRegion \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "defaultBandwidthLimit": 0, "publicRoutingType": "PUBLIC-ROUTING-1-AZ", "region": "string" }]

List bandwidth limitsProduction

GET
/1.0/vrack/{serviceName}/publicRoutingBandwidthLimit

List bandwidth limits. Returns, per region, the public bandwidth limit in Mbps of the Additional IP blocks routed in the vRack, and whether it is the default or an upgraded one.

Path parameters

serviceName
required
string

The internal name of your vrack

Query parameters

region
string

Filter by region name

Response

200PublicRoutingBandwidthLimit[]successful operation
bandwidthLimit
integer

Bandwidth limit for blocks in your vRack (in Mbps)

bandwidthLimitType
PublicRoutingBandwidthLimitTypeEnum

Public routing bandwidth limit type

Valuesdefaultupgraded
region
string

Region name

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/publicRoutingBandwidthLimit \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "bandwidthLimit": 0, "bandwidthLimitType": "default", "region": "string" }]